Botan 2.19.5 Crypto and TLS for C&

Public Member Functions | List of all members
Botan::Compression_Error Class Reference

`#include <compression.h>`

Inheritance diagram for Botan::Compression_Error:

## Public Member Functions
| Compression_Error (const char *func_name, ErrorType type, int rc)
int | error_code () const noexcept override
ErrorType | error_type () const noexcept override
const char * | what () const noexcept override

## Detailed Description

An error that occurred during compression (or decompression)

Definition at line 140 of file compression.h.

## Constructor & Destructor Documentation

## ◆ Compression_Error()

Botan::Compression_Error::Compression_Error | ( | const char * | func_name,
|  | ErrorType | type,
|  | int | rc
| ) |  |
| inline

Parameters

  func_name | the name of the compression API that was called (eg "BZ2_bzCompressInit" or "lzma_code")
  type | what library this came from
  rc | the error return code from the compression API. The interpretation of this value will depend on the library.

Definition at line 151 of file compression.h.

151 :
152 Exception("Compression API " + std::string(func_name) +
153 " failed with return code " + std::to_string(rc)),
154 m_type(type),
155 m_rc(rc)
156 {}
Botan::Exception::Exception
Exception(const std::string &msg)
Definition: exceptn.cpp:73
Botan::ASN1::to_string
std::string to_string(const BER_Object &obj)
Definition: asn1_obj.cpp:213
type
MechanismType type
Definition: p11_mechanism.cpp:44

## Member Function Documentation

## ◆ error_code()

int Botan::Compression_Error::error_code | ( |  | ) | const
| inline override virtual noexcept

Return an error code associated with this exception, or otherwise 0.

The domain of this error varies depending on the source, for example on POSIX systems it might be errno, while on a Windows system it might be the result of GetLastError or WSAGetLastError. For error_type() is OpenSSLError, it will (if nonzero) be an OpenSSL error code from ERR_get_error.

Reimplemented from Botan::Exception.

Definition at line 160 of file compression.h.

160{ return m_rc; }

## ◆ error_type()

ErrorType Botan::Compression_Error::error_type | ( |  | ) | const
| inline override virtual noexcept

Return the "type" of error which occurred.

Reimplemented from Botan::Exception.

Definition at line 158 of file compression.h.

158{ return m_type; }

## ◆ what()

const char * Botan::Exception::what | ( |  | ) | const
| inline override noexcept inherited

Return a descriptive string which is hopefully comprehensible to a developer. It will likely not be useful for an end user.

The string has no particular format, and the content of exception messages may change from release to release. Thus the main use of this function is for logging or debugging.

Definition at line 96 of file exceptn.h.

96{ return m_msg.c_str(); }

Referenced by Botan::TLS::Client_Key_Exchange::Client_Key_Exchange(), and Botan_FFI::ffi_guard_thunk().

The documentation for this class was generated from the following file:

- src/lib/compression/compression.h